Interface
Date: 2019-10-22

org.jmol.api

## Class Interface

- java.lang.Object
- - org.jmol.api.Interface

-     public class Interface
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Interface()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Object` | `getInterface(java.lang.String name, Viewer vwr, java.lang.String state)`
    `static java.lang.Object` | `getOption(java.lang.String className, Viewer vwr, java.lang.String state)` Note! Do not use this method with "viewer." or "util." because when the JavaScript is built, "org.jmol.util" and "org.jmol.viewer" are condensed to "JU" and "JV" (javajs.util is also JU)
    `static SymmetryInterface` | `getSymmetry(Viewer vwr, java.lang.String state)`
    `static java.lang.Object` | `getUtil(java.lang.String name, Viewer vwr, java.lang.String state)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Interface

          public Interface()

  - ### Method Detail

    - #### getInterface

          public static java.lang.Object getInterface(java.lang.String name,
                                                      Viewer vwr,
                                                      java.lang.String state)

      Parameters:
        `name` -
        `vwr` -
        `state` -
      Returns:
        instance

    - #### getOption

          public static java.lang.Object getOption(java.lang.String className,
                                                   Viewer vwr,
                                                   java.lang.String state)

      Note! Do not use this method with "viewer." or "util." because when the JavaScript is built, "org.jmol.util" and "org.jmol.viewer" are condensed to "JU" and "JV" (javajs.util is also JU)
      Parameters:
        `className` -
        `vwr` -
        `state` -
      Returns:
        class instance

    - #### getUtil

          public static java.lang.Object getUtil(java.lang.String name,
                                                 Viewer vwr,
                                                 java.lang.String state)

    - #### getSymmetry

          public static SymmetryInterface getSymmetry(Viewer vwr,
                                                      java.lang.String state)